Likewise-Open RequireMembershipOf Does Not Work

Bug #575152 reported by Mike Dixson on 2010-05-04
36
This bug affects 4 people
Affects Status Importance Assigned to Milestone
likewise-open (Ubuntu)
Undecided
Gerald Carter
Lucid
Undecided
Unassigned

Bug Description

Using Lucid-Lynx and the latest stable version of Likewise-Open I am able to install Likewise-Open and join the domain perfectly well.

However when trying restrict the groups allowed to login by amending the config file /etc/likewise-open/lsassd.reg modifying the value RequireMembershipOf I find that all users are locked out.

I've managed to resolve it by changing the DomainSeparator value from "\\" to "+" and amending the RequireMembershipOf value accordingly:
"DomainSeparator"="+"
"RequireMembershipOf"=sza:"domainname+domain^admins"

So it seems that there is a bug in using "\\" I'm guessing that it the double backslash is escaping something incorrectly.

To note in all instances of modifying the configuration file I run the command:
sudo lwregshell import /etc/likewise-open/lsassd.reg && sudo lw-refresh-configuration
to reload the configuration.

Related branches

affects: ubuntu → likewise-open (Ubuntu)

Fix committed to the 5.4.0.42111-3~ppa4~lucid package in the "likewise-open-ppa". Note that the issue was in lwupgrade so this fix will only applie to upgrade from the likewise-open 4.x and likewise-open5 packages.

Nvm....Was confused with another bug.

Changed in likewise-open (Ubuntu):
status: New → In Progress
assignee: nobody → Gerald Carter (coffeedude.jerry)

Fix committed in the 5.4.0.42111-3~ppa5~lucid package in the likewise-open-ppa. Just uploaded so may take some time to finish building. Please let me know if this addresses the bug for you as well and I'll submit the SRU request.

Changed in likewise-open (Ubuntu):
status: In Progress → Fix Committed

Hi Gerald,

Many thanks for addressing this so quickly. I have one question. I performed a clean install of Ubuntu Lucid Lynx and the install likewise-open using apt-get. If I run apt-get update and then apt-get update likewise-open will this apply the patch or is other action required?

Thanks
Mike

Just add the likewise-open-ppa to your software sources list and "apt-get update && apt-get upgrade" will handle it for you.

Thanks Gerald.
I've included this link which expands on how to add likewise-open-ppa to the sources list.
https://launchpad.net/~likewise-open/+archive/ppa

Paul Hassinger (hassinger-paul) wrote :

The lucid PPA seems to contain the same version as that published in the default ubuntu sources: 5.4.0.42111-2ubuntu1.2

So how can I resolve this in the meantime until it's published somewhere?

Paul Hassinger (hassinger-paul) wrote :

Disregard, i added: ppa:likewise-open/ppa instead of ppa:likewise-open/likewise-open-ppa

Sorry

Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in likewise-open (Ubuntu Lucid):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions